1.5.0.2 Update Bug

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

1.5.0.2 Update Bug

Brian King-2
Has anyone noticed something like this before?

I installed Firefox 1.5.0.1 ... the Slovene (sl-SI) version. Today I was
prompted to upgrade to 1.5.0.2. So I went for it. The XPI update failed,
so it went ahead and installed the whole distro.

However, the version that installed was not sl-SI, but en-US.

The fact that I did the upgrade from a profile with the en-US langpack
installed might have something to do with it.

Does anyone know of a similar bug open, or should I file one?

--
Brian King
www.mozdev.org - free project hosting for the Mozilla community
_______________________________________________
dev-l10n mailing list
[hidden email]
https://lists.mozilla.org/listinfo/dev-l10n
Reply | Threaded
Open this post in threaded view
|

Re: 1.5.0.2 Update Bug

Benjamin Smedberg
Brian King wrote:

> Has anyone noticed something like this before?
>
> I installed Firefox 1.5.0.1 ... the Slovene (sl-SI) version. Today I was
> prompted to upgrade to 1.5.0.2. So I went for it. The XPI update failed,
> so it went ahead and installed the whole distro.
>
> However, the version that installed was not sl-SI, but en-US.
>
> The fact that I did the upgrade from a profile with the en-US langpack
> installed might have something to do with it.

That is in fact very likely. We don't hardcode the locale into the update
string, we get the current locale dynmically. Please, file a bug (though
it's not likely to be fixed in the 1.5.0.x series, I can try to find a way
to do it for FF2).

--BDS
_______________________________________________
dev-l10n mailing list
[hidden email]
https://lists.mozilla.org/listinfo/dev-l10n
Reply | Threaded
Open this post in threaded view
|

Re: 1.5.0.2 Update Bug

Brian King-2
Benjamin Smedberg wrote:

> That is in fact very likely. We don't hardcode the locale into the
> update string, we get the current locale dynmically. Please, file a bug
> (though it's not likely to be fixed in the 1.5.0.x series, I can try to
> find a way to do it for FF2).

FYI for all...

https://bugzilla.mozilla.org/show_bug.cgi?id=334136

--
Brian King
www.mozdev.org - free project hosting for the Mozilla community
_______________________________________________
dev-l10n mailing list
[hidden email]
https://lists.mozilla.org/listinfo/dev-l10n